<?php

namespace Modules\Pp\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Support\Facades\Auth;
use Spatie\Activitylog\Contracts\Activity;
use Spatie\Activitylog\Traits\LogsActivity;
class ProductionTeam extends Model
{
    use HasFactory,LogsActivity;
    protected $table = 'pp_production_teams';
    protected $primaryKey = 'production_team_id'; 
    protected $fillable = [];
    protected static $logAttributes = [
        'production_team_id',
        'designation_id',
    ];
    protected static $logOnlyDirty = true;
    public function tapActivity(Activity $activity, string $eventName)
    {
        $activity->log_name = "pp_production_teams";
        $activity->description = $eventName;
        $activity->causer_id = Auth::user()->id;
    }

}
